Ticket #302 (closed defect: fixed)

Opened 4 years ago

Last modified 3 years ago

build error on FreeBSD 8.0/8.1

Reported by: jesus Assigned to: jesus
Priority: major Milestone:
Component: noit-core Severity: serious
Keywords: Cc:

Description

I have tried to build Reconnoiter on FreeBSD 8.0 according to the instructions in BUILDING, but when I get to the final step, I get this error:

$ make
(cd src && make)
In file included from noit_console.h:39,
                from noitd.c:53:
noit_console_telnet.h:93: error: field 'sg' has incomplete type
noit_console_telnet.h:94: error: field 'tc' has incomplete type
noit_console_telnet.h:95: error: field 'ltc' has incomplete type
*** Error code 1

Change History

07/31/10 17:36:00 changed by jesus

  • summary changed from build error on FreeBSD 8.0 to build error on FreeBSD 8.0/8.1.

Mikkel also verified brokenness on FreeBSD 8.1

01/08/11 20:21:11 changed by jesus

(In [1527]) work around Tomoyuki Sakurai, refs #302 -- we need a permanent solution, but this is great until the deprecated stuff is completely removed.

01/21/11 20:59:54 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.